if (!this.item.name.includes("(") || this.item.system.tests.value.includes("(Sense)") || this.item.system.tests.value.toLowerCase().includes("(any)"))
{
    let tests = this.item.system.tests.value
    let name = this.item.name

    // If name already specifies, make sure Tests value reflects that
    if (name.includes("(") && !name.toLowerCase().includes("(any)"))
    {
        let sense = name.split("(")[1].split(")")[0]
        tests = `${tests.split("(")[0].trim()} (${sense})`;
    }
    else // If no sense specified, provide dialog choice
    {
        let choice = await ItemDialog.create(ItemDialog.objectToArray({
            taste : "Goût",
            sight : "Vue",
            smell : "Odorat",
            hearing : "Ouïe",
            touch : "Toucher"
        }, this.item.img), 1, {title : this.item.name, text : "Choisissez un Sens"});
        if (choice[0])
        {
            name = `${name.split("(")[0].trim()} (${choice[0].name})`
            tests = `${tests.split("(")[0].trim()} (${choice[0].name})`
        }
    }

        this.item.updateSource({name, "system.tests.value" : tests})
}